> This project was originally initiated by [Powered Software Inc.](https://poweredsoft.com/) and was forked from the [PoweredSoft/Storage](https://github.com/PoweredSoft/Storage) Repository

# Storage

Abstraction allowing you to use different storage options on the cloud or locally with the same interface.



## Getting Started

> Install nuget package to your awesome project.

| Full Version                 | NuGet                                                                                                                                                                                                                                                              |                                          NuGet Install |
| ---------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | -----------------------------------------------------: |
| OpenHarbor.Storage.Abstractions     | <a href="https://www.nuget.org/packages/OpenHarbor.Storage.Abstractions" target="_blank">[![NuGet](https://img.shields.io/nuget/v/OpenHarbor.Storage.Abstractions.svg?style=flat-square&label=nuget)](https://www.nuget.org/packages/OpenHarbor.Storage.Abstractions)</a>             |     ```PM> Install-Package OpenHarbor.Storage.Abstractions``` |
| OpenHarbor.Storage.Physical    | <a href="https://www.nuget.org/packages/OpenHarbor.Storage.Physical" target="_blank">[![NuGet](https://img.shields.io/nuget/v/OpenHarbor.Storage.Physical.svg?style=flat-square&label=nuget)](https://www.nuget.org/packages/OpenHarbor.Storage.Physical)</a>          |    ```PM> Install-Package OpenHarbor.Storage.Physical``` |
| OpenHarbor.Storage.Azure       | <a href="https://www.nuget.org/packages/OpenHarbor.Storage.Azure" target="_blank">[![NuGet](https://img.shields.io/nuget/v/OpenHarbor.Storage.Azure.svg?style=flat-square&label=nuget)](https://www.nuget.org/packages/OpenHarbor.Storage.Azure)</a>                   |       ```PM> Install-Package OpenHarbor.Storage.S3``` |
| OpenHarbor.Storage.S3 | <a href="https://www.nuget.org/packages/OpenHarbor.Storage.S3" target="_blank">[![NuGet](https://img.shields.io/nuget/v/OpenHarbor.Storage.S3.svg?style=flat-square&label=nuget)](https://www.nuget.org/packages/OpenHarbor.Storage.S3)</a> | ```PM> Install-Package OpenHarbor.Storage.S3 ``` |